// Smooth scrolling for overview links
document.addEventListener("DOMContentLoaded", function() {
  document.querySelectorAll('#overview a').forEach(function(anchor) {
      anchor.addEventListener('click', function(e) {
          e.preventDefault();
          document.querySelector(this.getAttribute('href')).scrollIntoView({
              behavior: 'smooth'
          });
      });
  });
});

// Add smooth scrolling
document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
        e.preventDefault();
        document.querySelector(this.getAttribute('href')).scrollIntoView({
            behavior: 'smooth'
        });
    });
});

document.addEventListener('DOMContentLoaded', function () {
    const imageBoxes = document.querySelectorAll('.image-box');
  
    function checkScroll() {
      const triggerBottom = window.innerHeight * 0.8;
      const triggerTop = window.innerHeight * 0.2;
  
      imageBoxes.forEach((box, index) => {
        const boxTop = box.getBoundingClientRect().top;
  
        if (boxTop < triggerBottom && boxTop > triggerTop) {
          setTimeout(() => {
            box.classList.add('show');
          }, index * 200); // Delay each image by 200ms
        } else {
          box.classList.remove('show');
        }
      });
    }
  
    window.addEventListener('scroll', checkScroll);
    checkScroll(); // Check on load
  });
  
  document.addEventListener("DOMContentLoaded", function() {
    setTimeout(() => {
        const heroSection = document.querySelector('.time');
        heroSection.classList.add('hidden');
        heroSection.classList.remove('hero-overlay');
    }, 5000);  // 5 seconds delay
});

document.addEventListener('DOMContentLoaded', function() {
  const events = document.querySelectorAll('.timeline-event');
  
  const observer = new IntersectionObserver(entries => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('in-view');
      }
    });
  });

  events.forEach(event => {
    observer.observe(event);
  });
});

let slideIndex = 0;

function moveCarousel(direction) {
  const carousel = document.querySelector('.carousel');
  const slides = document.querySelectorAll('.carousel-slide');
  slideIndex = (slideIndex + direction + slides.length) % slides.length;
  carousel.style.transform = `translateX(${-slideIndex * 100}%)`;
}

// Hide text after 3 seconds
setTimeout(() => {
  const textOverlay = document.querySelector('.carousel-text');
  textOverlay.style.display = 'none';
}, 3000);
